Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
circuits Directory Reference
Directory dependency graph for circuits:

## Detailed Description

# Circuit files

This directory contains all versions of the mdoc family of circuits.

These can be produced by using the associated circuit_maker program.

$ blaze build -c opt privacy/proofs/zk/lib/circuits/mdoc/circuit_maker
$ blaze-bin/privacy/proofs/zk/lib/circuits/mdoc/circuit_maker \
--output_dir privacy/proofs/zk/lib/circuits/mdoc/circuits/ \
--num_attributes 4

## Hashes from 2025-07-22 (Version 4)

1: 01fadcd7f20d9f38c0e3f2e9bdfb92d41dbc44718f27b9f4cde920e9b89b40fc
2: 2f830088431f4dba2e329d91606a9327fa7d2f93a2d63785beeebaaba2f2858a
3: 6d393a353feb9aba61dab1ac7ebdd5c808cd49b1b19b29a82aab63c836b42702
4: 4b8121c9b26a2d04558c9111e1dfc11dc2ccf583b01d9e0cd895aab6e742a869

## Hashes from 2025-06-14 (Version 3)

1: bd3168ea0a9096b4f7b9b61d1c210dac1b7126a9ec40b8bc770d4d485efce4e9
2: 40b2b68088f1d4c93a42edf01330fed8cac471cdae2b192b198b4d4fc41c9083
3: 99a5da3739df68c87c7a380cc904bb275dbd4f1b916c3d297ba9d15ee86dd585
4: 5249dac202b61e03361a2857867297ee7b1d96a8a4c477d15a4560bde29f704f

## (Removed) Hashes from 2025-05-15 corresponding to version 2

1: 2093f64f54c81fb2f7f96a46593951d04005784da3d479e4543e2190dcf205d6
2: 037f99104ca73b8828fc0b7754b9103fd72d36e82456ccac20f9ce778f09c0ee
3: a83b9b575c296717a0902c717599016e50cbbb4252bdf4d3450c752d53ae1d29
4: fd7e7cfd5fd8ab02ad839f0c198c68822659fa269c0cd66a8d01f98086ede60e

## (Removed) Hashes from 2025-04-18

1: 2836f0df5b7c2c431be21411831f8b3d2b7694b025a9d56a25086276161f7a93
2: 40a24808f53f516b3e653ec898342c46acf3b4a98433013548e780d2ffb1b4d0
3: 0f5a3bfa24a1252544fda4602fea98fc69b6296b64d4c7e48f2420de2910bf55
4: 96b71d7173c0341860d7b1b8fbcceca3d55347ecca1c9617e7d6efbb6b5cf344